<div
  *transloco="let t; scope: 'feature_funfair'"
  [ngClass]="{
    'chip-list-category-selected': currentState === 'categorySelected',
    'chip-list-row': currentState === 'allCategoriesSelected',
    'chip-list-column': ['initial', 'modalOpen'].includes(currentState),
  }"
  class="chip-list"
>
  <button
    (click)="openSearchModal()"
    [attr.aria-label]="t('feature_funfair.map.search.button')"
    class="funfair-search-button"
  >
    <lib-general-icon
      [name]="'search'"
      [size]="iconFontSize.large"
    ></lib-general-icon>
    <p>{{ t('feature_funfair.map.search.button') }}</p>
  </button>

  @if (currentState === 'initial') {
    <button
      class="funfair-show-all-button"
      (click)="openFilterModal()"
      [attr.aria-label]="t('feature_funfair.map.chips.show_all')"
    >
      <p>{{ t('feature_funfair.map.chips.show_all') }}</p>
      <lib-general-icon
        [name]="'chevron_right'"
        [size]="iconFontSize.large"
      ></lib-general-icon>
    </button>
    <button
      class="soest-button"
      routerLink="/map"
      [attr.aria-label]="t('feature_funfair.map.chips.explore_soest')"
    >
      <p>{{ t('feature_funfair.map.chips.explore_soest') }}</p>
      <lib-general-icon
        [name]="'chevron_right'"
        [size]="iconFontSize.large"
      ></lib-general-icon>
    </button>
  } @else if (currentState === 'allCategoriesSelected') {
    <div class="bottom-single-row">
      <button
        class="funfair-button"
        (click)="openFilterModal()"
        [attr.aria-label]="t('feature_funfair.map.chips.show_all')"
      >
        <p>{{ t('feature_funfair.map.chips.funfair_plan') }}</p>
        <lib-general-icon
          name="keyboard_arrow_up"
          [size]="iconFontSize.large"
        ></lib-general-icon>
      </button>
    </div>
  } @else if (currentState === 'categorySelected') {
    <div class="bottom-row">
      <button
        class="funfair-show-all-button soest-back-button"
        (click)="onResetToAllCategories()"
        [attr.aria-label]="t('feature_funfair.map.chips.show_all')"
      >
        <lib-general-icon
          name="chevron_left"
          [size]="iconFontSize.large"
        ></lib-general-icon>
        <p>{{ t('feature_funfair.map.chips.show_all') }}</p>
      </button>
      <button
        class="funfair-button"
        (click)="openFilterModal()"
        [attr.aria-label]="t(selectedCategoryNameKey)"
      >
        <p>{{ t(selectedCategoryNameKey) }}</p>
        <lib-general-icon
          name="keyboard_arrow_up"
          [size]="iconFontSize.large"
        ></lib-general-icon>
      </button>
    </div>
  }
</div>
